clang 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoTargetRegion Class Referencefinal

Target region entries info. More...

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CGOpenMPRuntime.h"`

Inheritance diagram for clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoTargetRegion:
[legend]
Collaboration diagram for clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoTargetRegion:
[legend]

## Public Member Functions
| OffloadEntryInfoTargetRegion ()
| OffloadEntryInfoTargetRegion (unsigned Order, llvm::Constant *Addr, llvm::Constant *ID, OMPTargetRegionEntryKind Flags)
llvm::Constant * | getID () const
void | setID (llvm::Constant *V)
Public Member Functions inherited from clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfo
bool | isValid () const
unsigned | getOrder () const
OffloadingEntryInfoKinds | getKind () const
uint32_t | getFlags () const
void | setFlags (uint32_t NewFlags)
llvm::Constant * | getAddress () const
void | setAddress (llvm::Constant *V)

## Static Public Member Functions
static bool | classof (const OffloadEntryInfo *Info)
Static Public Member Functions inherited from clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfo
static bool | classof (const OffloadEntryInfo *Info)

## Additional Inherited Members
Public Types inherited from clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfo
enum | OffloadingEntryInfoKinds : unsigned { OffloadingEntryInfoTargetRegion = 0, OffloadingEntryInfoDeviceGlobalVar = 1, OffloadingEntryInfoInvalid = ~0u }
| Kind of a given entry. More...
Protected Member Functions inherited from clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfo
| OffloadEntryInfo ()=delete
| OffloadEntryInfo (OffloadingEntryInfoKinds Kind)
| OffloadEntryInfo (OffloadingEntryInfoKinds Kind, unsigned Order, uint32_t Flags)
| ~OffloadEntryInfo ()=default

## Detailed Description

Target region entries info.

Definition at line 497 of file CGOpenMPRuntime.h.

## Constructor & Destructor Documentation

## ◆ OffloadEntryInfoTargetRegion() [1/2]

clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoTargetRegion::OffloadEntryInfoTargetRegion | ( |  | ) |
| inline

Definition at line 502 of file CGOpenMPRuntime.h.

## ◆ OffloadEntryInfoTargetRegion() [2/2]

clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoTargetRegion::OffloadEntryInfoTargetRegion | ( | unsigned | Order,
|  | llvm::Constant * | Addr,
|  | llvm::Constant * | ID,
|  | OMPTargetRegionEntryKind | Flags
| ) |  |
| inline explicit

Definition at line 504 of file CGOpenMPRuntime.h.

## Member Function Documentation

## ◆ classof()

static bool clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoTargetRegion::classof | ( | const OffloadEntryInfo * | Info | ) |
| inline static

Definition at line 518 of file CGOpenMPRuntime.h.

References clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfo::getKind().

## ◆ getID()

llvm::Constant* clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoTargetRegion::getID | ( |  | ) | const
| inline

Definition at line 513 of file CGOpenMPRuntime.h.

## ◆ setID()

void clang::CodeGen::OffloadEntriesInfoManagerTy::OffloadEntryInfoTargetRegion::setID | ( | llvm::Constant * | V | ) |
| inline

Definition at line 514 of file CGOpenMPRuntime.h.

The documentation for this class was generated from the following file:

- lib/CodeGen/CGOpenMPRuntime.h